Initial ONAP stack
SDC profile only
master only
Package container in parallel to try speed up
Don't delete existing engine pkgs on expansion so to avoid engine changes
Push images to local from script so that it can be done in parallel
Depends-On: I242785faa8bf5e9b48c756caa81b4c44d7b11688
Change-Id: Ie2ee557af1536e0341a38b0fec14153c48f4d7df
Signed-off-by: afenner <andrew.fenner@est.tech>
diff --git a/setup-stack.sh b/setup-stack.sh
new file mode 100755
index 0000000..2e4189f
--- /dev/null
+++ b/setup-stack.sh
@@ -0,0 +1,36 @@
+#!/bin/bash
+# ============LICENSE_START=======================================================
+# Copyright (C) 2019 The Nordix Foundation. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+set -o errexit
+set -o nounset
+set -o pipefail
+
+#-------------------------------------------------------------------------------
+# Find and set where we are
+#-------------------------------------------------------------------------------
+STACK_ROOT_DIR="$(dirname "$(realpath "${BASH_SOURCE[0]}")")"
+export STACK_ROOT_DIR
+
+# NOTE (fdegir): different stacks and their branches have different scenarios
+# supported by default so we set DEPLOY_SCENARIO within the stack unless it is
+# set by user rather than setting the default one in engine
+export DEPLOY_SCENARIO="${DEPLOY_SCENARIO:=onap-sdc-nofeature}"
+echo "Info : Deploy scenario is $DEPLOY_SCENARIO"
+
+# vim: set ts=2 sw=2 expandtab: